Loading...
Searching...
No Matches
juce::midi_ci::PropertyRequestHeader Struct Reference

## Detailed Description

A struct containing data members that correspond to common fields in a property request header.

Check the Property Exchange specification to find the meaning of the different fields.

The documentation for this struct was generated from the following file:

- juce_midi_ci/ci/juce_CIPropertyDelegate.h

## Public Member Functions

var | toVarCondensed () const
| Converts a PropertyRequestHeader to a JSON object suitable for use as a MIDI-CI message header after conversion to 7-bit ASCII.

## Static Public Member Functions

static PropertyRequestHeader | parseCondensed (const var &)
| Converts a JSON object to a PropertyRequestHeader.

## Public Attributes

String | resource
String | resId
Encoding | mutualEncoding = Encoding::ascii
String | mediaType = "application/json"
bool | setPartial = false
std::optional< Pagination > | pagination
std::map< Identifier, var > | extended

## Member Functions

## parseCondensed()

PropertyRequestHeader juce::midi_ci::PropertyRequestHeader::parseCondensed | ( | const var & |  | ) |

static

Converts a JSON object to a PropertyRequestHeader.

Unspecified fields will use their default values.

Referenced by juce::midi_ci::PropertyExchangeResult::getHeaderAsRequestHeader().

## toVarCondensed()

var juce::midi_ci::PropertyRequestHeader::toVarCondensed | ( |  | ) | const

Converts a PropertyRequestHeader to a JSON object suitable for use as a MIDI-CI message header after conversion to 7-bit ASCII.

## Member Data Documentation

## resource

String juce::midi_ci::PropertyRequestHeader::resource

## resId

String juce::midi_ci::PropertyRequestHeader::resId

## mutualEncoding

Encoding juce::midi_ci::PropertyRequestHeader::mutualEncoding = Encoding::ascii

## mediaType

String juce::midi_ci::PropertyRequestHeader::mediaType = "application/json"

## setPartial

bool juce::midi_ci::PropertyRequestHeader::setPartial = false

## pagination

std::optional<Pagination> juce::midi_ci::PropertyRequestHeader::pagination

## extended

std::map<Identifier, var> juce::midi_ci::PropertyRequestHeader::extended

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited